genphy_read_status
Prev | PHY Support | Next

## Name

genphy_read_status — check the link status and update current link state

## Synopsis

`int genphy_read_status (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Check the link, then figure out the current state by comparing what we advertise with what the link partner advertises. Start by checking the gigabit possibilities, then move on to 10/100.

Prev | Up | Next
genphy_update_link | Home | phy_driver_register